Thanks Anssi for that great explanation.
Cheers,
Derek
Thanks Anssi for that great explanation.
Cheers,
Derek
Hello,
I am still fairly new to SketchUp so I am posting this on the newbie forum. I have created a image screen shot of a street map from google maps (jpeg). I imported this image into my sketchup model and positioned it on the x/y plane and sized it accordingly. For now I am cool w/ it being only a 2d image. My problem is that when I orbit to a different angle such as orbit the imported image becomes darkened. I would rather it stay the same original color. Is this possible?
Thanks,
Derek
Thanks remus that helps alot. Seems so simple now in retrospect.
Cheers,
Derek
Hello,
I have found some documentation of how to create a cone via a method either w/ prism or a circle and the follow me tool. This seems to work pretty well. What I was hoping is that someone may know how to draw what is called a oblique cone. It is a cone where the apex is not centered over the base of the cone. See: http://www.mathwords.com/o/oblique_cone.htm
Any help is greatly appreciated,
Thanks,
Derek
Thanks TIG,
The defaulting to inches explains it. For now I am just trying to draw a single line. If I just drawing a single line does it still need the face and edges. Thanks again for you assistance as I am still learning my way around SU.
Derek
Hello,
I am somewhat new to SketchUp but am quite excited about the possibilities of it. Here is my question and hopefully someone can help. My goal is to write a ruby script to draw a line between two defined points. I have created a new blank model and drawn a rectangle on the x and y axis. I am testing this by locating one of the the x,y,z coordinates of the rectangle by using the text tool to show the points (e.g. ~ 0.79m, ~ 0.60m, 0.00m). So I just trying to start at that corner and draw a line straight up the Z axis programmatically. However, it is being draw somewhere way closer to the origin of the model around 0.02m, ~ 0.02m, 0.00m. I was hoping someone could point me in the write direction with doing this. Thanks ahead of time.
require 'sketchup.rb'
def draw_simple
pt1 = Geom::Point3d.new(0.79, 0.60, 0.00)
pt2 = Geom::Point3d.new(0.79, 0.60, 1.00)
model = Sketchup.active_model
new_face = model.entities.add_line(pt1, pt2)
new_face.pushpull 10
end #def draw_spacetimepath
UI.menu("PlugIns").add_item("simple") { draw_simple }
Thanks,
Derek